#include <stdio.h>
#include <handy.h>

#define R  30
#define WIDTH   360.0
#define HEIGHT  180.0

int main(void)
{
    double x, y;
    int lid;
    HgOpen(WIDTH, HEIGHT);
    lid = HgWAddLayer(0);
    HgWSetFillColor(0, HG_DGRAY);
    for (x = 20.0, y = 0.0; x < WIDTH; x += WIDTH * 0.2, y += 30.0)
        HgWBoxFill(0, x, y, R*1.2, HEIGHT*0.4, 0);

    double obj[2] = { 0.0, 0.0 };
    double dx[2] = { 6.0, 8.0 };
    int i;
    for ( ; ; ) {
        HgLClear(lid);
        HgWSetFillColor(lid, HG_BLUE);
        HgWCircleFill(lid, obj[0], HEIGHT * 0.3, R, 0);
        HgWSetFillColor(lid, HG_RED);
        HgWCircleFill(lid, obj[1], HEIGHT * 0.7, R, 0);
        for (i = 0; i < 2; i++) {
            double w = obj[i] + dx[i];
            obj[i] = (w > WIDTH) ? 0.0 : w;
        }
        HgSleep(0.02);
    }
    HgClose();
    return 0;
}
