#import <stdio.h>
#import <math.h>
#import <handy.h>

void draw(int wid, int gid)
{
    HgWBox(wid, 0, 100, 300, 100);
    HgWBox(wid, 100, 0, 100, 300);
    HgWImagePut(wid, 100, 200, gid, 1.0, M_PI/6.0);
    HgWImageDraw(wid, 200, 200, gid);
    HgWImageDrawRect(wid, 0, 0, 200, 100, gid, 0, 0, 0, 0);
    HgWImageDrawRect(wid, 200, 50, 100, 150, gid, 62, 56, 48, 36);
}

int main(int argc, char **argv)
{
    int wid1, wid2;
    int img = HgImageLoad("cat.png");
    wid1 = HgWOpen(200, 200, 300, 300);
    wid2 = HgWOpen(600, 200, 300, 300);
    HgWCoordinate(wid2, 20, 50, 0.75);
    draw(wid1, img);
    draw(wid2, img);
    (void)getchar();
    HgCloseAll();
    return 0;
}
