#include <handy.h>

int main(void)
{
    int wid = HgOpen(500, 500);
    int first = 1;
    HgSetWidth(2.0);
    HgSetEventMask(HG_MOUSE_DOWN | HG_KEY_DOWN);
    for ( ; ; ) {
        hgevent *event = HgEvent();
        if (event->type == HG_KEY_DOWN) {
            switch (event->ch) {
            case 'r': case 'c':
                HgClear(); first = 1; break;
            case 'u':
                first = 1; break;
            case 'q': case 0x1b:
                goto EXIT;
            }
        }else if (event->type == HG_MOUSE_DOWN) {
            if (first) {
                HgMoveTo(event->x, event->y);
                first = 0;
            }else
                HgLineTo(event->x, event->y);
        }
    }
EXIT:
    HgClose();
    return 0;
}
